<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Блог - Ответ'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
err();
aut(); // форма авторизации
only_reg();



$id=intval(htmlspecialchars($_GET['id']));

$post=mysql_fetch_array(mysql_query("SELECT * FROM `blog_komm` WHERE `id`='$id'"));
$ank=get_user($post['id_user']);


if(isset($_GET['go'])){
$msg="$ank[nick], ".$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_komm` WHERE `id_blog` = '".$post['id_news']."' AND `id_user` = '$user[id]' AND `msg` = '".my_esc($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){

$msg2="[b]$user[nick][/b] Ответил на ваше сообщения, в  [url=/blog/list.php?id=$post[id_blog]]блоге[/url]";
mysql_query("INSERT INTO `jurnal` (`id_kont`, `msg`, `time`) values('$ank[id]', '$msg2', '$time')");


mysql_query("INSERT INTO `blog_komm` (`id_user`, `time`, `msg`, `id_blog`) values('$user[id]', '$time', '".my_esc($msg)."', '$post[id_blog]')")or die("Invalid query: " . mysql_error());
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1")or die("Invalid query: " . mysql_error());
header("Location: /blog/list.php?id=$post[id_blog]");
}
};



echo "<div class='menu'>";

echo "<form method=\"post\" name='message' action=\"?go&amp;id=$id\">\n";
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
echo "Сообщение: <br />\n<textarea name=\"msg\"></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит</label><br />\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";

echo"</div>";


include_once '../sys/inc/tfoot.php';
?>
